import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.math.*;


public class CoordCanvas extends ScaleCanvas implements MouseListener  {
    Manager M; 
    Lever SELECT,TYPE;
    ListenSquare INFO;

     public CoordCanvas() {
	 addMouseListener(this);
	 SELECT=new Lever(25,15,0,2);
	 TYPE=new Lever(155,15,0,2);
	 INFO=new ListenSquare(2,2,12,12);
     }

   public void paint(Graphics g2) {
      Graphics2D g=(Graphics2D) g2;  
      g.setColor(new Color(80,0,80));
      g.fillRect(0,0,getWidth(),getHeight());
      String[] S1={"domain","container"};
      String[] S2={"exact","decimal"};
      SELECT.render(g,"which poly? ",S1,new Color(0,20,255));
      TYPE.render(g,"number type? ",S2,new Color(0,20,255));
      int[] a=M.C.MC.getMap();
      RenderPartition.polyInfo(SELECT.val,TYPE.val,M,g);
      INFO.infoRender(g);
    }

    public void mousePressed(MouseEvent e) { 
    }

     public void mouseReleased(MouseEvent e) {	 
     }

     public void mouseEntered(MouseEvent e) {
	 requestFocus();
     }
     public void mouseExited(MouseEvent e) {}   

     public void mouseClicked(MouseEvent e) {
        MouseData J=MouseData.process(e);
	SELECT.process(J.X);
	TYPE.process(J.X);
	if(INFO.inside(J.X)==1) DocumentPoly.coordInfo(M);
	repaint();
     }

}
