import java.applet.Applet;
import java.awt.event.*;
import java.awt.*;

/**This is one of the data files.  It gives the data for
   the main pentagon and the main horseshoe.*/


public class DataCore {


    public static PolyVector main(int k) {
	int[][] t={{0,1,2,3},{14,15,16,17,18,19,20,21,22,23,24,25,26},{1,4,5,6,7,8}};
	return(poly(t[k]));
    }


    public static PolyVector poly(int[] t) {
	PolyVector P=new PolyVector();
	P.count=t.length;
	for(int j=0;j<t.length;++j) {
	  double[] x=point(t[j]);
	  P.V[j].x[0]=x[0];
	  P.V[j].x[1]=x[1];
	  P.V[j].x[2]=1;
	}
	return(P);
    }

    public static double[] point(int k) {
	if(k==0) return(point0());
	if(k==1) return(point1());
	if(k==2) return(point2());
	if(k==3) return(point3());
	if(k==4) return(point4());
	if(k==5) return(point5());
	if(k==6) return(point6());
	if(k==7) return(point7());
	if(k==8) return(point8());
	if(k==9) return(point9());
	if(k==10) return(point10());
	if(k==11) return(point11());
	if(k==12) return(point12());
	if(k==13) return(point13());

	if(k==14) return(DataPartitionManager.pointN(19));
	if(k==15) return(DataPartitionManager.pointN(18));
	if(k==16) return(DataPartitionManager.pointN(25));
	if(k==17) return(DataPartitionManager.pointN(34));
	if(k==18) return(DataPartitionManager.pointN(41));
	if(k==19) return(DataPartitionManager.pointN(47));
	if(k==20) return(DataPartitionManager.pointN(53));
	if(k==21) return(DataPartitionManager.pointN(52));
	if(k==22) return(DataPartitionManager.pointN(51));
	if(k==23) return(DataPartitionManager.pointN(45));
	if(k==24) return(DataPartitionManager.pointN(39));
	if(k==25) return(DataPartitionManager.pointN(20));
	if(k==26) return(DataPartitionManager.pointN(23));

	return(null);
    }


    public static double[] f(int a0,int a1,int a2,int a3) {
	double phi=QI.phi();
	double[] x={a0+a1*phi,a2+a3*phi};
	return(x);
    }

    public static double[] point0() {
	return(f(0,0,0,0));
    }

    public static double[] point1() {
	return(f(1,0,1,0));
    }

    public static double[] point2() {
	return(f(16,-9,-5,3));
    }

    public static double[] point3() {
	return(f(-5,4,14,-9));
    }

    public static double[] point4() {
	return(f(9,-7,-9,7));
    }

    public static double[] point5() {
	return(f(2,-3,13,-7));
    }

    public static double[] point6() {
	return(f(2,-3,16,-9));
    }

    public static double[] point7() {
	return(f(-1,-1,-12,8));
    }

    public static double[] point8() {
	return(f(1,-1,1,-1));
    }


    public static double[] point9() {
	return(f(1,-1,1,-1));
    }


    public static double[] point10() {
	return(f(-12,8,-1,-1));
    }

    public static double[] point11() {
	return(f(16,-9,2,-3));
    }

    public static double[] point12() {
	return(f(13,-7,2,-3));
    }

    public static double[] point13() {
	return(f(-9,7,9,-7));
    }




}



