import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.math.*;

public class DemoGauss {


    public static void main(Manager M,Graphics2D g) { 
        drawGauss(M.P,g,M.C.DISPLAY.M[5].C,200);

    }
    public static boolean drawGauss(PictureCanvas PIC,Graphics2D g,Color C,int LIM) { 
        PolyVector P=piece(0);
	double[] c=P.center();
	for(int i=0;i<5;++i) {
	    for(int j=0;j<2;++j) {
		int[] A={j,i,0,0};
	        GraphicsHelp.drawMap(PIC,g,A,P,LIM,C,1);
	    }
	}
	return(true);
    }




    public static PolyVector piece(int k) {
	int[] t={1,2,3};
	return(poly(k,t));
    }

    public static PolyVector poly(int k,int[] t) {
	int n=t.length;
	PolyVector P=new PolyVector();
	P.count=n;
	for(int j=0;j<n;++j) {
	  double[] x=point(t[j]);
	  P.V[j].x[0]=x[0];
	  P.V[j].x[1]=x[1];
	  P.V[j].x[2]=1;
	}
	return(P);
    }

    public static double[] point(int k) {
	if(k==1) return(point1());
	if(k==2) return(point2());
	if(k==3) return(point3());
	return(null);
    }

    public static double[] point1() {
	double[] x={0,0};
	return(x);
    }

    public static double[] point2() {
	double[] x={1+QI.phi(),-1};
	return(x);
    }

    public static double[] point3() {
	double[] x={1+QI.phi(),1+QI.phi()};
	return(x);
    }



}
