import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.math.*;


public class ComputeTests implements Runnable {
    boolean HALT;
    int MODE;

    public ComputeTests(int mode) {
	MODE=mode;
	HALT=true;
    }


    public void run() {
	HALT=false;
	if(MODE==1) hexRange();
    }


    public boolean hexRange() {
	double max=0;
	double min=100;
	while(HALT==false) {
	    PolyVector P=randomConvexHexagon();
	    double[] d=XInvariants.invariant(P);
	    double test=d[0]+d[1]+d[2]+d[3];
	    boolean change=false;
	    if(min>test) {
		min=test;
		change=true;
	    }
	    if(max<test) {
		max=test;
		change=true;
	    }
	    if(change==true) {
		System.out.println("range "+min+" "+max);
		printout(d);
	    }
	}
	HALT=true;
	return(true);
    }


    public static void printout(double[] d) {	
        System.out.println("-------");
	for(int i=0;i<d.length;++i) System.out.println(d[i]+" ");
	System.out.println("-------");
    }


    public PolyVector randomConvexHexagon() {
	PolyVector P=new PolyVector();
	P.V[0]=new Vector(0,0,1);
	P.V[1]=new Vector(1,0,1);
	P.V[2]=new Vector(1,1,1);
	P.V[3]=new Vector(0,1,1);
	P.V[4]=new Vector(-1/Math.random(),Math.random(),1);

	Vector W0=P.V[0];
	Vector W1=Vector.cross(Vector.cross(P.V[0],P.V[1]),Vector.cross(P.V[3],P.V[4]));
	W1=new Vector(W1.x[0]/W1.x[2],W1.x[1]/W1.x[2],1);
	Vector W2=new Vector(P.V[4]);
	P.V[5]=randomPoint(W0,W1,W2);
	P.count=6;
	return(P);
    }


    /**picks a random point in a triangle.  All vectors are
       normalized so that the third coordinate is 1.*/

    public static Vector randomPoint(Vector W0,Vector W1,Vector W2) {
	double a0=Math.random();
	double a1=Math.random();
	double a2=Math.random();
	double b=a0+a1+a2;
	a0=a0/b;
	a1=a1/b;
	a2=a2/b;
	Vector X0=W0.scale(a0);
	Vector X1=W1.scale(a1);
	Vector X2=W2.scale(a2);
	Vector Y=Vector.plus(X0,Vector.plus(X1,X2));
	Y.x[2]=1;
	return(Y);
    }


}




